<div class="container mt-2">
  <div class="nav justify-content-endow">
    <div class="col col-md4 offset-md justify-content-end">
      <kendo-grid #kendoGridInstance
                  [data]="gridData"
                  [kendoGridBinding]="gridView"
                  [filterable]="true"
                  [pageSize]="pageSize"
                  [skip]="skip"
                  [reorderable]="true"
                  [resizable]="true"
                  [pageable]="{
                                buttonCount: 5,
                                info: true,
                                type: 'input',
                                pageSizes: [10, 25, 50, 100],
                                previousNext: true,
                                position: 'bottom'
                               }"
                  [sort]="sort"
                  [sortable]="{allowUnsort: allowUnsort,mode: 'single'}"
                  (sortChange)="sortChange($event)"
                  (pageChange)="pageChange($event)"
                  [(selectedKeys)]="gridSelectRow"
                  (add)="createOrder($event)"
                  (edit)="editOrderData($event)"
                  (save)="saveOrderData($event)"
                  (cancel)="cancelHandler($event)"
                  (remove)="openDeleteModal($event)"
                  kendoGridSelectBy="id">
        <ng-template kendoGridToolbarTemplate>
          <button kendoGridAddCommand type="button" [icon]="'add'" [disabled]="gridSelectRow.length > 0"
                  style="background-color: #007bff; color: white; margin-left: 94%;"></button>
        </ng-template>

        <kendo-grid-column *ngFor="let column of fileColumns"
                           [title]="column.title"
                           [field]="column.field">
          <ng-template kendoGridCellTemplate let-dataItem>
            <span *ngIf="column.field" title="{{dataItem[column.field]}}">{{dataItem[column.field]}}</span>
          </ng-template>
        </kendo-grid-column>

        <kendo-grid-command-column title="Actions" [includeInChooser]="false">
          <ng-template kendoGridCellTemplate let-isNew="isNew">
            <button kendoGridEditCommand [icon]="'edit'" style="background-color: orange; color:white"
                    title="Edit"></button>
            <button kendoGridSaveCommand type="button" [icon]="'save'"
                    [disabled]="editFromGroup?.invalid || createFromGroup?.invalid"
                    style="background-color: #008000; color:white"></button>
            <button [icon]="'cancel'" kendoGridCancelCommand style="background-color: #ff0000; color:white"></button>

            <button kendoGridRemoveCommand type="button" [icon]="'delete'"
                    style="background-color: #ff0000; color:white"></button>
          </ng-template>
        </kendo-grid-command-column>


        <ng-template kendoPagerTemplate>
          <kendo-pager-prev-buttons></kendo-pager-prev-buttons>
          <kendo-pager-input></kendo-pager-input>
          <kendo-pager-next-buttons></kendo-pager-next-buttons>
          <kendo-pager-page-sizes [pageSizes]="pageSizes"></kendo-pager-page-sizes>
          <kendo-pager-info></kendo-pager-info>
        </ng-template>
      </kendo-grid>
    </div>
  </div>
</div>

<!-- Delete Modal -->
<div class="modal fade" id="deleteModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Delete Confirmation</h5>
        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        Are you sure to delete this order?
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>

        <button type="button" class="btn btn-danger" (click)="confirmDelete()" >Confirm Delete</button>
      </div>
    </div>
  </div>
</div>


